Class | Chef::Provider::Link
In: | lib/chef/provider/link.rb
Parent: | Chef::Provider

### Methods

action_create action_delete compare_group compare_owner load_current_resource set_group set_owner

### Included Modules

Chef::Mixin::ShellOut

### Public Instance methods

action_create()
action_delete()
compare_group()

Compares the group of a symlink. Returns true if they are the same, false if they are not.

compare_owner()

Compare the ownership of a symlink. Returns true if they are the same, false if they are not.

load_current_resource()
set_group()
set_owner()

Set the ownership on the symlink, assuming it is not set correctly already.

[Validate]